﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using FarseerGames.FarseerPhysics.Collisions;

namespace FreeGoo.GameEngine.Renderables.BodyHookOwners
{
    public class BodyHookOwner : BodyRenderable
    {
        protected BodyHookOwner(Geom geom) : base(geom)
        {
            Hooks = new List<BodyHook>();
        }
        
        public IList<BodyHook> Hooks { get; protected set; }
        
        public void AddHook(BodyHook hook)
        {
            Hooks.Add(hook);
            hook.Siblings = Hooks;
        }
    }
}
