﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using FarseerGames.FarseerPhysics.Collisions;

namespace FreeGoo.GameEngine.Renderables.Particles
{
    public class Strong : Particle
    {
        public Strong(Geom geom, float radius)
            : base(geom, radius)
        {
            LinkSoftnessFactor = 0.015f;
            LinkBiasFactor = 0.2f;
            LinkBreakpointFactor = 10f;
            CanBeUnlinked = false;
            LinkableDistance = DefaultStrongLinkableDistance;
            NeverShortenWantedDistance = false;
        }
    }
}
