﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace FreeGoo.GameEngine.Tasks
{
    public class RescuedGoos : Task
    {
        public RescuedGoos(Engine engine, int goosToSaveCount)
            : base(engine)
        {
            GoosToSaveCount = goosToSaveCount;
        }

        public int GoosToSaveCount { get; set; }

        public override bool Completed()
        {
            return Engine.TotalRescuedCount >= GoosToSaveCount;
        }
    }
}
