﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using FreeGoo.GameEngine.Renderables.Particles;

namespace FreeGoo.LevelClasses.LevelParts.Particles
{
    public class RopeLevelPart : LevelPartParticle
    {
        public override string Name { get { return "RopeParticle"; } }

        public override Particle BuildParticle(Level level, System.Xml.Linq.XElement element)
        {
            return ParticleFactory.CreateRopeParticle(
                level.Engine,
                GetOffsetPosition(level, element),
                ParticleFactory.DefaultRopeParticleRadius);
        }
    }
}
