﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using FreeGoo.GameEngine.Tasks;

namespace FreeGoo.LevelClasses.TaskParts
{
    public abstract class TaskPart : Part
    {
        public abstract Task CreateTask(Level level, System.Xml.Linq.XElement element);
        
        public override void AddToEngineFromXml(Level level, System.Xml.Linq.XElement element)
        {
            level.Engine.Task = CreateTask(level, element);
        }
    }
}
