﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using FreeGoo.GameEngine.Renderables;

namespace FreeGoo.GameEngine.Behaviors
{
    public abstract class Behavior
    {
        public Behavior(Renderable renderable)
        {
            Renderable = renderable;
            renderable.AddBehavior(this);
        }

        public Renderable Renderable { get; set; }
        public abstract void Update();
        /*public virtual void PrepareBehavior()
        {
        }*/
    }
}
