﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using FreeGoo.GameEngine.Renderables;

namespace FreeGoo.GameEngine.Interfaces
{
    public interface IRendererFactory
    {
        Engine Engine { get; set; }
        void SetRenderer(Renderable renderable);
        void UpdateRenderer(Renderable renderable, GraphicsArgument graphicsArgument);
        void BeforeUpdate();
        void AfterUpdate();

        void DoBeforeCopyLevelToEngine();
        void DoAfterCopyLevelToEngine();
    }
}
