﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using FarseerGames.FarseerPhysics.Collisions;

namespace FreeGoo.GameEngine.Renderables.Particles.Keys
{
    public class Key : Particle
    {
        public Key(Geom geom, float radius)
            : base(geom, radius)
        {    
        }

        public override bool AllowsLinkTo(ILinkable linkable)
        {
            return base.AllowsLinkTo(linkable) && (linkable is Keyhole);
        }

        public override bool AllowsLinkFrom(ILinkable linkable)
        {
            return false;
        }
    }
}
