﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace FreeGoo.GameEngine.Tasks
{
    public class And : TaskWithSubTasks
    {
        public And(Engine engine)
            : base(engine)
        {
        }

        public override bool Completed()
        {
            foreach (Task subTask in Tasks)
            {
                if (!subTask.Completed())
                {
                    return false;
                }
            }

            return true;
        }
    }
}
