﻿using System;
using System.Xml.Linq;
using FreeGoo.GameEngine.Renderables;
using FreeGoo.LevelClasses.LevelParts;

namespace FreeGoo.LevelClasses.BehaviorParts
{
    public abstract class BehaviorPart : Part
    {
        public override void AddToEngineFromXml(Level level, XElement element)
        {
            throw new InvalidOperationException("AddToEngineFromXml is not valid for " + GetType().Name);
        }

        public abstract void AddBehaviorToRenderable(Level level, Renderable renderable, LevelPart levelPart, XElement element);
    }
}
