﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Xml.Linq;
using FreeGoo.GameEngine;

namespace FreeGoo.LevelClasses.LevelParts
{
    public class GoalLevelPart : RenderableLevelPart
    {
        public override string Name { get { return "Goal"; } }

        public override FreeGoo.GameEngine.Renderables.Renderable BuildRenderable(Level level, XElement element)
        {
            return MixedFactory.CreateGoal(
                level.Engine,
                GetOffsetPosition(level, element),
                element.Attribute("AcceptsParticleTypes").Value("all"));            
        }
    }
}
