﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using FreeGoo.GameEngine;
using FreeGoo.GameEngine.Renderables.Particles;

namespace FreeGoo.LevelClasses.LevelParts.Particles
{
    public class ChainLevelPart : LevelPartParticle
    {   
        public override string Name { get { return "ChainParticle"; } }

        public override Particle BuildParticle(Level level, System.Xml.Linq.XElement element)
        {            
            return ParticleFactory.CreateChainParticle(
                level.Engine,
                GetOffsetPosition(level, element),
                ParticleFactory.DefaultChainParticleRadius);            
        }
    }
}
